const baseUrl = '/api'
const $api = {
  login: { // 登陆
    signin: {
      method: 'post',
      url: `${baseUrl}/guest/signin`
    }
  },
  system: {
    init: { // 初始化菜单
      method: 'get',
      url: `${baseUrl}/common/system/init`
    }
  },
  channelManager: {
    getChannelList: { // 渠道列表
      method: 'get',
      url: `${baseUrl}/common/`
    },
  },
  caseManager: {
    getCaseList: { // 获取案场列表
      method: 'get',
      url: `${baseUrl}/common/case/info`
    },
  },
  goodsManager: {
    getGoodsSpecList: { // 商品规格列表
      method: 'get',
      url: `${baseUrl}/common/spec/goods`
    },
    addGoodsSpec: { // 新增商品规格
      method: 'post',
      url: `${baseUrl}/common/spec/goods`
    },
    getGoodsSpecById: { // 根据id获取商品规格
      method: 'get',
      url: `${baseUrl}/common/spec/goods/:id`
    },
    editGoodsSpec: { // 编辑商品规格
      method: 'put',
      url: `${baseUrl}/common/spec/goods/:id`
    },
    deleteGoodsSpec: { // 删除商品规格
      method: 'delete',
      url: `${baseUrl}/common/spec/goods/:id`
    },
    getGoodsTypeList: { // 商品种类列表
      method: 'get',
      url: `${baseUrl}/common/type/goods`
    },
    addGoodsType: { // 新增商品种类
      method: 'post',
      url: `${baseUrl}/common/type/goods`
    },
    getGoodsTypeById: { // 根据id获取商品种类
      method: 'get',
      url: `${baseUrl}/common/type/goods/:id`
    },
    editGoodsType: { // 编辑商品种类
      method: 'put',
      url: `${baseUrl}/common/type/goods/:id`
    },
    deleteGoodsType: { // 删除商品种类
      method: 'delete',
      url: `${baseUrl}/common/type/goods/:id`
    },
  },
  cms: {
    location: { // 图片位置
      method: 'get',
      url: `${baseUrl}/common/cms/location`
    },
    imageList: { // 轮播图列表
      method: 'get',
      url: `${baseUrl}/common/cms/image`
    },
    imageDetail: { // 轮播图详情
      method: 'get',
      url: `${baseUrl}/common/cms/image/:id`
    },
    addImage: { // 添加轮播图
      method: 'post',
      url: `${baseUrl}/common/cms/image`
    },
    editImage: { // 编辑轮播图
      method: 'put',
      url: `${baseUrl}/common/cms/image/:id`
    },
    deleteDetail: { // 删除轮播图
      method: 'delete',
      url: `${baseUrl}/common/cms/image/:id`
    },
    case: { // 首页案场列表
      method: 'get',
      url: `${baseUrl}/common/cms/case`
    },
    caseDetail: { // 首页案场详情
      method: 'get',
      url: `${baseUrl}/common/cms/case/:id`
    },
    addCase: { // 添加首页案场
      method: 'post',
      url: `${baseUrl}/common/cms/case`
    },
    editCase: { // 添加首页案场
      method: 'put',
      url: `${baseUrl}/common/cms/case/:id`
    },
    deleteCase: { // 添加首页案场
      method: 'delete',
      url: `${baseUrl}/common/cms/case/:id`
    },
    info: { // 首页消息列表
      method: 'get',
      url: `${baseUrl}/common/cms/info`
    },
    infoDetail: { // 首页消息详情
      method: 'get',
      url: `${baseUrl}/common/cms/info/:id`
    },
    addInfo: { // 新增首页消息
      method: 'post',
      url: `${baseUrl}/common/cms/info`
    },
    editInfo: { // 编辑首页消息
      method: 'put',
      url: `${baseUrl}/common/cms/info/:id`
    },
    deleteInfo: { // 编辑首页消息
      method: 'delete',
      url: `${baseUrl}/common/cms/info/:id`
    }
  },
  file: {
    image: { // 图片上传
      method: 'post',
      url: `${baseUrl}/common/file`
    }
  }
}
export default $api
